/*
The software in this package is distributed under the GNU General
Public License version 2 (with a special exception described below).

A copy of GNU General Public License (GPL) is included in this distribution,
in the file COPYING.GPL.

As a special exception, if other files instantiate templates or use macros
or inline functions from this file, or you compile this file and link it
with other works to produce a work based on this file, this file
does not by itself cause the resulting work to be covered
by the GNU General Public License.

However the source code for this file must still be made available
in accordance with section (3) of the GNU General Public License.

This exception does not invalidate any other reasons why a work based
on this file might be covered by the GNU General Public License.
*/
/**
 * @file
 * @brief some functions to wrap some system functions
 *
 * @author Reinhard Pfau \<Reinhard.Pfau@gmx.de\>
 * @copyright &copy; Copyright 2009 by Intra2net AG
 */

#include "asyncio_system_tools.hpp"

#include <unistd.h>

namespace AsyncIo
{
namespace Utils
{

  bool unlink( const std::string& path )
  {
    return ::unlink( path.c_str() ) == 0;
  } // end of unlink(const std::string&)


} // end of namespace Utils
}// end of namespace AsyncIo
